/*
* UPCOMING EVENTS
*/
.events-upcoming {
    position: relative;
    padding-inline: clamp(20px, 2vw, 36px);
}

.events-upcoming .splide__track {
    overflow: visible;
}

.events-upcoming .splide__list {
    --line-x: 0px;
    position: relative;
}

.events-upcoming .splide__list::before {
    content: '';
    width: 500%;
    height: 1px;
    background-color: #ffffff24;
    position: absolute;
    left: -200%;
    bottom: 0;
    transform: translate(calc(var(--line-x) * -1), -38px);
    z-index: -1;
}

/* Navigation */
.brxe-prefix-event .event-splide-nav {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    position: relative;
    gap: 24px;
    margin-top: 18px;
}

.brxe-prefix-event .splide__arrows {
    display: flex;
    flex-wrap: nowrap;
    gap: 18px;
}

.brxe-prefix-event .splide__arrow {
    position: relative;
    top: unset;
    left: unset;
    right: unset;
    transform: none;
    width: max-content;
    height: max-content;
    padding: 14px;
    aspect-ratio: 1;
    border: 1px solid var(--clr-bd);
    border-radius: 50%;
    pointer-events: all;
    /* opacity: 1; */
    transition: all .35s ease-in-out;
}

.brxe-prefix-event .splide__arrow:not([disabled]),
.brxe-prefix-event .splide__arrow:not(.disabled) {
    border-color: var(--base-white);
}

.brxe-prefix-event .splide__arrow.disabled {
    pointer-events: none;
    opacity: .5;
    border-color: var(--clr-bd);
}

.brxe-prefix-event .splide__arrow svg {
    width: 14px;
    height: auto;
}

.event-splide-progress {
    width: 480px;
    height: 1px;
    background-color: #ffffff24;
}

.event-splide-progress-bar {
    background: var(--base-white);
    height: 1px;
    transition: width .35s ease-in-out;
    width: 0;
}

/* SPLIDE SLIDE */
.events-upcoming .splide__slide::before {
    content: '';
    width: 250px;
    height: 100%;
    position: static;
    display: block;
    padding-bottom: calc(100% + 25px);
}

.events-upcoming .event-item-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(calc(0% - 44px));
}

.events-upcoming .event-item .event-item-wrapper {
    transform: translateY(calc(-50% + 5px));
}

/* .event-item--upcoming,
.event-item--upcoming *:not(.event-item__inner) { */
.events-upcoming .event-item-wrapper > *:not(.event-item__inner) {
    pointer-events: none;
    cursor: default;
}

.events-upcoming .event-item-wrapper::after {
    content: '';
    width: 1px;
    height: 60px;
    border-right: 1px solid #ffffff24;
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translate(-50%, -40px);
    z-index: -1;
}

.events-upcoming .splide__slide .event-item-wrapper::after {
    border-color: var(--base-white);
}

/* .events-upcoming .splide__slide.is-active .event-item-wrapper::after {
    border-color: var(--base-white);
} */

/* .events-upcoming .event-item:nth-child(even) .event-item-wrapper::after {
    top: 80px;
} */

.events-upcoming .day-on-week {
    font-weight: 300;
    font-size: 12px;
    line-height: 1.5;
    letter-spacing: 10%;
    text-align: center;
    text-transform: uppercase;
}

.events-upcoming .event-item:nth-child(even) .day-on-week {
    order: 0;
}

.events-upcoming .event-item__separator {
    width: 11px;
    height: 11px;
    background-color: var(--clr-bg);
    border: 1px solid var(--clr-bd);
    border-radius: 50%;
}

/* .events-upcoming .event-item:nth-child(even) .event-item__separator {
    order: 1;
} */

.events-upcoming .splide__slide .event-item__separator {
    background-color: var(--base-white);
    border-color: var(--base-white);
}

/* .events-upcoming .splide__slide.is-active .event-item__separator {
    background-color: var(--base-white);
    border-color: var(--base-white);
} */

.events-upcoming .event-item__inner {
	position: relative;
    display: flex;
    flex-direction: column;
    flex: 0 0 auto;
    width: 250px;
    row-gap: 6px;
    padding: 18px;
    background-color: #1a1a1a;
    border: 1px solid #ffffff24;
    border-radius: 10px;
    /* cursor: pointer; */
	transition: all .3s ease-in-out;
}

.events-upcoming .event-item__inner::before {
	position: absolute;
	content: "";
	inset: 0;
	opacity: 0;
	transition: all .3s ease-in-out;
}

.events-upcoming .event-item__inner:hover::before {
	opacity: 1;
}

.events-upcoming .event-item__inner:hover {
	transform: translatey(-5px);
}

.events-upcoming .event-item__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.events-upcoming .event-item__header .event-item__badge {
    padding: 4px 12px 2px 12px;
    font-weight: 500;
    font-size: 10px;
    line-height: 1.5;
    letter-spacing: 0.01em;
    text-transform: uppercase;
    border-radius: 15px;
    color: #101010;
    background-color: #fff;
}

.events-upcoming .event-item__header .event-item__badge.event-item__badge--su-kien {
    background-color: #FB371D;
}

.events-upcoming .event-item__header .event-item__badge.event-item__badge--phat-hanh {
    background-color: #31AA74;
}

.events-upcoming .event-item__header .event-item__badge.event-item__badge--bieu-dien {
    background-color: #7447E8;
}

.events-upcoming .event-item__inner:has(.event-item__badge.event-item__badge--su-kien) {
    border-color: #fb371db3;
}
.events-upcoming .event-item__inner:has(.event-item__badge.event-item__badge--phat-hanh) {
    border-color: #31aa74b3;
}
.events-upcoming .event-item__inner:has(.event-item__badge.event-item__badge--bieu-dien) {
    border-color: #7447e8b3;
}

.events-upcoming .event-item__inner:has(.event-item__badge.event-item__badge--su-kien)::before {
    background-color: #FB371D1A;
}
.events-upcoming .event-item__inner:has(.event-item__badge.event-item__badge--phat-hanh)::before {
    background-color: #31AA741A;
}
.events-upcoming .event-item__inner:has(.event-item__badge.event-item__badge--bieu-dien)::before {
    background-color: #7447E81A;
}

/* .events-upcoming .splide__slide.is-active .event-item__inner {
    border-color: var(--base-white);
} */

/* .events-upcoming .event-item:nth-child(even) .event-item__inner {
    order: 2;
} */

.events-upcoming .event-item__date-display span {
    font-weight: 300;
    font-size: 15px;
    line-height: 1.65;
    letter-spacing: 10%;
    vertical-align: baseline;
    color: var(--clr-accent);
}

.events-upcoming .event-item__date-display span.bigger {
    font-weight: 500;
    font-size: 28px;
    line-height: 1.25;
    letter-spacing: 0%;
}

.events-upcoming .event-item__title {
    font-weight: 400;
    font-size: 15px;
    line-height: 1.35;
    color: var(--base-white);
    height: 40px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    transition: height 0.5s;
    -webkit-line-clamp: 2;
    overflow: hidden;
}

.events-upcoming .event-item__detail {
    font-weight: 300;
    font-size: 12px;
    line-height: 1.5;
    letter-spacing: 10%;
    text-transform: uppercase;
    color: #ffffff80;
    margin-bottom: 18px;
}

.events-upcoming .event-item__detail .weekday {
    display: none;
}

.events-upcoming .btn {
    font-family: 'Reddit Mono';
    font-weight: 300;
    font-size: 11px;
    line-height: 1.5;
    letter-spacing: 14%;
    vertical-align: middle;
    text-transform: uppercase;
    margin-top: auto;
    min-width: 128px;
    min-height: 29px;
    width: max-content;
    height: max-content;
    border: 1px solid rgb(255 255 255 / 70%);
    border-radius: 40px;
    padding: 6px 18px;
    transition: all .35s ease-in-out;
}

.events-upcoming .btn:hover {
    background-color: var(--clr-accent);
    border-color: var(--clr-accent);
    color: var(--clr-primary);
}

.events-upcoming .splide__slide:not(.first-item) .event-item__timer {
    display: none !important;
}

.events-upcoming .event-item__timer {
    position: absolute;
    top: 0;
    bottom: 0;
    border-left: 1px dashed #ffffff24;
    left: -8rem;
    width: 65px;
}

.events-upcoming .splide__slide.first-item {
    margin-left: calc(4rem + 65px);
}

.events-upcoming .splide__slide:last-child::after {
    content: '';
    width: 7px;
    height: 7px;
    border: solid #ffffff24;
    border-width: 2px 2px 0 0;
    position: absolute;
    bottom: 32px;
    right: 0;
    transform: translate(4rem, -50%) rotate(45deg) skew(-6deg, -6deg);
}

.splide__list .splide__slide:last-child .event-item-wrapper::before {
    content: '';
    position: absolute;
    width: 100vw;
    height: 100%;
    right: 0;
    top: 0;
    background: var(--clr-bg);
    transform: translateX(calc(100vw + 4rem + 2px));
}

.event-item__timer::before,
.event-item__timer::after {
    position: absolute;
    left: 0;
    transform: translateX(-50%);
    width: max-content;
    background-color: var(--clr-bg);
    font-weight: 300;
    font-size: 12px;
    line-height: 1.5;
    letter-spacing: 10%;
    text-align: center;
    text-transform: uppercase;
    color: var(--base-white);
}

.event-item__timer::before {
    content: 'Tháng ' attr(data-month);
    top: 0;
}

.event-item__timer::after {
    content: attr(data-year);
    bottom: 0;
    color: var(--clr-text);
}

@media (max-width: 1024px) {
    .events-upcoming {
        width: 100%;
        visibility: visible;
    }

    .events-upcoming .splide__list {
        flex-direction: column;
        row-gap: 24px;
        padding-block: 40px 90px;
        margin-top: 25px;
    }

    .events-upcoming .splide__list::before {
        width: 1px;
        height: 100%;
        left: 50%;
        top: 0;
        transform: translateX(-50%);
    }

    .events-upcoming .splide__list::after {
        content: '';
        width: 7px;
        height: 7px;
        border: solid #ffffff24;
        border-width: 2px 2px 0 0;
        position: absolute;
        /* left: calc(100vw - 7px + 4rem + clamp(20px, 2vw, 36px));
        top: 50%;
        transform: translate(4rem, -50%) rotate(45deg) skew(-6deg, -6deg); */
        top: 2px;
        left: 50%;
        transform: translate(-50%, -50%) rotate(-45deg) skew(-6deg, -6deg);    
    }
    
    .splide__list .splide__slide:last-child .event-item-wrapper::before {
        display: none;
    }

    .events-upcoming .splide__slide {
        display: flex;
        flex-direction: column-reverse;
        row-gap: 24px;
        width: 50% !important;
        margin: 0 !important;
    }

    .events-upcoming .splide__slide:nth-child(even) {
        margin-left: auto !important
    }

    .events-upcoming .splide__slide:last-child::after {
        display: none;
    }
    
    .events-upcoming .splide__slide::before {
        display: none;
    }
	
	.events-upcoming .event-item-wrapper::after {
		bottom: 50%;
		height: 1px;
		border-width: 120px;
		transform: translate(0);
	}

	.events-upcoming .splide__slide:nth-child(odd) .event-item-wrapper::after {
		left: auto;
		right: 0;
	}
	
	.events-upcoming .splide__slide:nth-child(even) .event-item-wrapper::after {
		left: 0;
		right: auto;
	}

    .events-upcoming .event-item__inner {
        width: 100%;
        max-width: 282px;
    }
	
	.events-upcoming .event-item__inner:hover {
		transform: translatey(0);
	}

    .events-upcoming .event-item__timer {
        position: static;
        order: 1;
        margin-left: auto;
        transform: translateX(50%);
        padding: 7px 24px 6px;
        width: max-content;
        border: 1px solid #FFFFFF52;
        border-radius: 50px;
        background: var(--clr-bg);
    }

    .events-upcoming .splide__slide:nth-child(even) .event-item__timer {
        margin-left: 0;
        transform: translateX(-50%);
    }

    .events-upcoming .event-item__timer::before {
        position: static;
    }

    .events-upcoming .event-item__timer::after {
        display: none;
    }

    .events-upcoming .event-item-wrapper {
        position: relative;
        left: unset;
        top: unset;
        transform: none !important;
    }

    .events-upcoming .event-item__separator {
        position: absolute;
        right: 0;
        top: 50%;
        transform: translate(50%, -50%);
    }

    .events-upcoming .event-item:nth-child(even) .event-item__separator {
        left: 0;
        right: auto;
        transform: translate(-50%, -50%);
    }

    .events-upcoming .day-on-week {
        position: absolute;
        right: 0;
        top: 50%;
        transform: translate(calc(100% + 24px), -50%);
    }

    .events-upcoming .event-item:nth-child(even) .day-on-week {
        left: 0;
        right: auto;
        transform: translate(calc(-100% - 24px), -50%);
    }

    .events-upcoming .event-item__title {
        font-weight: 300;
        letter-spacing: 3%;
    }

    .events-upcoming .event-item__date-display span {
        font-size: 11px;
        line-height: 1.5;
        letter-spacing: 14%;
    }

    .events-upcoming .event-item__date-display span.bigger {
        letter-spacing: 3%;
    }
}

@media (max-width: 767px) {
    .events-upcoming .splide__list {
        row-gap: 36px;
        padding-block: 54px 24px;
        margin-top: 18px;
    }

    .events-upcoming .splide__slide {
        width: 100% !important;
        row-gap: 36px;
    }
	
	.events-upcoming .event-item-wrapper::after {
		display: none;
	}

    .events-upcoming .event-item__inner {
        max-width: 100%;
    }

    .events-upcoming .event-item__timer {
        margin: auto !important;
        transform: none !important;
    }

    .events-upcoming .event-item__detail .weekday {
        display: inline-block;
    }

    .events-upcoming .event-item__separator {
        display: none;
    }

    .events-upcoming .day-on-week,
    .events-upcoming .event-item:nth-child(even) .day-on-week{
        display: none;
    }

    /* .events-upcoming .day-on-week,
    .events-upcoming .event-item:nth-child(even) .day-on-week{
        top: 18px;
        left: auto;
        right: 18px;
        transform: none;
    } */



    /* .events-upcoming .splide__slide.first-item {
        margin-left: 65px;
    }

    .events-upcoming .event-item__timer {
        left: -5rem;
    } */
}

/* 
* MEMORIES
*/
.events-memories>div {
    display: flex;
    flex-wrap: nowrap;
    gap: 36px;
    width: 100%;
    position: relative;
    z-index: 1;
}

.events-memories>div :where(.event-item, .event-year-group) {
    min-width: max-content;
}

.events-memories .event-year-group {
    position: relative;
    display: flex;
    gap: 36px;
    padding-top: 96px;
}

.events-memories .event-item {
    cursor: pointer;
}

.events-memories::-webkit-scrollbar,
.events-memories .event-year-group::-webkit-scrollbar {
    display: none;
}

.events-memories .event-item:hover .event-item__image img {
    transform: scale(1.05);
}

.events-memories .event-item__image {
    display: block;
    width: 100%;
    height: 440px;
    border-radius: 2px;
    overflow: hidden;
    margin-bottom: 18px;
}

.events-memories .event-item__image img {
    width: 100%;
    /* max-width: 700px; */
    height: 100%;
    object-fit: cover;
    -webkit-user-drag: none;
    user-select: none;
    transition: transform .3s ease-in-out;
}

.events-memories .event-item-detail {
    display: flex;
    flex-direction: column;
    row-gap: 6px;
}

.events-memories .event-item__title {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    column-gap: 20px;

    font-weight: 500;
    font-size: 18px;
    line-height: 1.25;
    letter-spacing: 3%;
    text-transform: uppercase;
    color: var(--base-white)
}

.events-memories .event-item__title span {
    font-family: 'Reddit Mono';
    font-weight: 300;
    font-size: 18px;
    line-height: .75;
    letter-spacing: 14%;
    color: #ffffff99;
}

.events-memories .event-item__date {
    font-family: 'Reddit Mono';
    font-weight: 300;
    font-size: 11px;
    line-height: 1.5;
    letter-spacing: 14%;
    text-transform: uppercase;
    color: #ffffff80;
}

.events-memories .year-tracking {
    display: flex;
    align-items: flex-end;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 2;
}

.events-memories .year-tracking h2 {
    font-weight: 600;
    font-size: 60px;
    line-height: 1;
    letter-spacing: 1%;
    color: var(--base-white);
    background-color: var(--clr-bg);

    position: sticky;
    left: 0;
    bottom: 0;
    z-index: 1;
}

.events-memories .year-tracking button {
    font-family: 'Reddit Mono';
    font-weight: 300;
    font-size: 11px;
    line-height: 1.5;
    letter-spacing: 14%;
    text-transform: uppercase;
    color: var(--clr-text);
    padding: 0;
    margin-bottom: 2px;
    background-color: transparent;
    flex-shrink: 0;
    width: max-content;

    position: sticky;
    bottom: 0;
    left: calc(min(100vw, 1848px) - clamp(20px, 2vw, 36px) * 2 - 110px);
}

.events-memories .year-tracking button.no-more-event {
    left: calc(100vw - clamp(20px, 2vw, 36px) * 2 - 180px);
}

.events-memories .year-tracking > div {
    width: calc(100vw - 300px - clamp(20px, 2vw, 36px) * 2);
    max-width: calc(100% - 230px - clamp(20px, 2vw, 36px) * 2);
    height: 1px;
    border-bottom: 1px solid #FFFFFF24;

    position: sticky;
    left: 180px;
    bottom: 5%;
}

.events-memories .year-tracking:has(button.no-more-event) > div {
    max-width: calc(100% - 340px - clamp(20px, 2vw, 36px) * 2);
}

@media (min-width: 1025px) {
    .events-memories>div {
        overflow-x: auto;
        overflow-y: hidden;
        touch-action: pan-x;
        -webkit-overflow-scrolling: touch;
        -ms-overflow-style: none;
        scrollbar-width: none;
    }

    .events-memories .event-item__image img {
        max-width: 700px;
    }
}

@media (max-width: 1024px) {
    .events-memories>div {
        flex-direction: column;
        row-gap: 24px;
    }

    .events-memories .event-year-group {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 24px;
        padding-top: 24px;
    }

    .events-memories .event-year-group .year-tracking {
        grid-column: 1 / -1;
        position: relative;
    }

    .events-memories .event-year-group .event-item:nth-child(3n + 2) {
        grid-column: span 2;
    }

    .events-memories .event-year-group .event-item:nth-child(3n + 2):is(:last-child) {
        grid-column: 1 / -1;
    }

    .events-memories .event-year-group .event-item:nth-child(3n + 1) {
        grid-column: 1 / -1;
    }

    .events-memories>div :where(.event-item, .event-year-group) {
        min-width: 0;
    }

    .brxe-prefix-event .event-splide-nav {
        display: none;
    }
}

@media (max-width: 767px) {
    .events-memories .event-year-group {
        display: flex;
        flex-direction: column;
    }

    .events-memories>div :where(.event-item, .event-year-group) {
        min-width: 0;
    }

    .events-memories .year-tracking div {
        display: none;
    }

    .events-memories .event-item__image {
        height: max-content;
    }

    .events-memories .event-item__image img {
        aspect-ratio: 366/200;
    }
}